package com.ym.mec.auth.service;

import com.ym.mec.auth.api.entity.SysMenu;
import com.ym.mec.common.service.BaseService;

import java.util.List;

public interface SysMenuService extends BaseService<Integer, SysMenu> {

    /**
     * 根据角色编号查询拥有的菜单列表
     * @param roleId
     * @return
     */
    List<SysMenu> getMenusByRoleId(Integer roleId);

    /**
     * 根据用户编号查询用户可访问菜单
     * @param id
     * @return
     */
    List<SysMenu> findByUser(Integer id);

    /**
     * 根据权限标识查菜单
     * @param permission
     * @return
     */
    SysMenu findMenuByPermission(String permission);
}