package com.ym.mec.web.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.web.dal.entity.CourseGroup;
import com.ym.mec.web.service.CourseGroupService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

@RequestMapping("courseGroup")
@Api(tags = "课程组服务")
@RestController
public class CourseGroupController extends BaseController {

    @Autowired
    private CourseGroupService courseGroupService;

    @ApiOperation(value = "新增课程组")
    @PostMapping("/add")
    public Object add(CourseGroup courseGroup){
        Date date = new Date();
        courseGroup.setCreateTime(date);
        courseGroup.setUpdateTime(date);
        courseGroupService.insert(courseGroup);
        return succeed();
    }

    @ApiOperation(value = "删除课程组")
    @DeleteMapping("/del/{id}")
    public Object del(@ApiParam(value = "课程组编号", required = true) @PathVariable("id") Integer id){
        courseGroupService.delete(id);
        return succeed();
    }

    @ApiOperation(value = "修改课程组")
    @PutMapping("/update")
    public Object update(CourseGroup courseGroup){
        courseGroup.setUpdateTime(new Date());
        courseGroupService.update(courseGroup);
        return succeed();
    }

    @ApiOperation(value = "根据课程组编号查询课程组")
    @GetMapping("/get/{id}")
    public Object get(@ApiParam(value = "课程组编号", required = true) @PathVariable("id") Integer id){
        return succeed(courseGroupService.findDetailById(id));
    }

    @ApiOperation(value = "分页查询课程组")
    @PostMapping("/queryPage")
    public Object queryPage(QueryInfo queryInfo){
        return succeed(courseGroupService.queryPage(queryInfo));
    }
}
