package com.ym.mec.web.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.web.dal.entity.CourseGroupDetail;
import com.ym.mec.web.service.CourseGroupDetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;
import java.util.List;

@RequestMapping("courseGroupDetail")
@Api(tags = "课程组详情服务")
@RestController
public class CourseGroupDetailController extends BaseController {

    @Autowired
    private CourseGroupDetailService courseGroupDetailService;

    @ApiOperation(value = "新增课程组详情")
    @PostMapping("/add")
    public Object add(CourseGroupDetail courseGroupDetail){
        Date date = new Date();
        courseGroupDetail.setCreateTime(date);
        courseGroupDetail.setUpdateTime(date);
        courseGroupDetailService.insert(courseGroupDetail);
        return succeed();
    }

    @ApiOperation(value = "批量新增课程组详情")
    @PostMapping("/batchAdd")
    public Object batchAdd(String courseGroupName, Integer organId, List<CourseGroupDetail> courseGroupDetails){
        courseGroupDetailService.batchInsert(courseGroupName,organId,courseGroupDetails);
        return succeed();
    }

    @ApiOperation(value = "删除课程组详情")
    @DeleteMapping("/del/{id}")
    public Object del(@ApiParam(value = "课程组详情编号", required = true) @PathVariable("id") Integer id){
        courseGroupDetailService.delete(id);
        return succeed();
    }

    @ApiOperation(value = "修改课程组详情")
    @PutMapping("/update")
    public Object update(CourseGroupDetail courseGroupDetail){
        courseGroupDetail.setUpdateTime(new Date());
        courseGroupDetailService.update(courseGroupDetail);
        return succeed();
    }

    @ApiOperation(value = "根据课程组详情编号查询课程组详情")
    @GetMapping("/get/{id}")
    public Object get(@ApiParam(value = "课程组详情编号", required = true) @PathVariable("id") Integer id){
        return succeed(courseGroupDetailService.get(id));
    }

    @ApiOperation(value = "分页查询课程组详情")
    @PostMapping("/queryPage")
    public Object queryPage(QueryInfo queryInfo){
        return succeed(courseGroupDetailService.queryPage(queryInfo));
    }
}
