package com.ym.mec.web.controller;

import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.web.dal.entity.CourseType;
import com.ym.mec.web.dal.entity.Goods;
import com.ym.mec.web.dal.page.GoodsQueryInfo;
import com.ym.mec.web.service.CourseGroupService;
import com.ym.mec.web.service.CourseTypeService;
import com.ym.mec.web.service.GoodsService;
import io.swagger.annotations.*;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Date;

@RequestMapping("courseType")
@Api(tags = "课程类型服务")
@RestController
public class CourseTypeController extends BaseController {

    @Autowired
    private CourseTypeService courseTypeService;

    @ApiOperation(value = "新增课程类型")
    @PostMapping("/add")
    public Object add(CourseType courseType){
        Date date = new Date();
        courseType.setCreateTime(date);
        courseType.setUpdateTime(date);
        courseTypeService.insert(courseType);
        return succeed();
    }

    @ApiOperation(value = "删除课程类型")
    @DeleteMapping("/del/{id}")
    public Object del(@ApiParam(value = "课程类型编号", required = true) @PathVariable("id") Integer id){
        courseTypeService.delete(id);
        return succeed();
    }

    @ApiOperation(value = "修改课程类型")
    @PutMapping("/update")
    public Object update(CourseType courseType){
        courseType.setUpdateTime(new Date());
        courseTypeService.update(courseType);
        return succeed();
    }

    @ApiOperation(value = "根据课程类型编号查询课程类型")
    @GetMapping("/get/{id}")
    public Object get(@ApiParam(value = "课程类型编号", required = true) @PathVariable("id") Integer id){
        return succeed(courseTypeService.get(id));
    }

    @ApiOperation(value = "分页查询课程类型")
    @PostMapping("/queryPage")
    public Object queryPage(QueryInfo queryInfo){
        return succeed(courseTypeService.queryPage(queryInfo));
    }
}
